.bar {
    -fx-background-color: white;
    -fx-border-color: black;
    -fx-border-width: 0px 0px 1px 0px;
}

.button {
    -fx-background-color: white;
    -fx-border-width: 0px 1px 0px 1px;
    -fx-border-color: black;
    -fx-pref-height: 28;
    -fx-pref-width: 50;
    -fx-padding: 5;
}

.split-pane-divider {
    -fx-pref-width: 2;
    -fx-background-color: black;
}

.code-area {
    -fx-padding: 5px 5px 0px 0px;
    -fx-font-size: 18;
}

.lineno {
    -fx-font-style: normal;
    -fx-background-color: white;
}

/*https://stackoverflow.com/a/48050208/5915025*/
.scroll-bar:horizontal .track,
.scroll-bar:vertical .track{
    -fx-background-color: transparent;
    -fx-border-color: transparent;
    -fx-background-radius: 0.0em;
    -fx-border-radius: 2.0em;
}


.scroll-bar:horizontal .increment-button ,
.scroll-bar:horizontal .decrement-button {
    -fx-background-color: transparent;
    -fx-background-radius: 0.0em;
    -fx-padding: 0.0 0.0 10.0 0.0;

}

.scroll-bar:vertical .increment-button ,
.scroll-bar:vertical .decrement-button {
    -fx-background-color: transparent;
    -fx-background-radius: 0.0em;
    -fx-padding: 0.0 10.0 0.0 0.0;

}

.scroll-bar .increment-arrow,
.scroll-bar .decrement-arrow{
    -fx-shape: " ";
    -fx-padding: 0.15em 0.0;
}

.scroll-bar:vertical .increment-arrow,
.scroll-bar:vertical .decrement-arrow{
    -fx-shape: " ";
    -fx-padding: 0.0 0.15em;
}

.scroll-bar:horizontal .thumb,
.scroll-bar:vertical .thumb {
    -fx-background-color: derive(black,95.0%);
    -fx-background-insets: 2.0, 0.0, 0.0;
    -fx-background-radius: 2.0em;
}

.scroll-bar:horizontal .thumb:hover,
.scroll-bar:vertical .thumb:hover {
    -fx-background-color: derive(#4D4C4F,10.0%);
    -fx-background-insets: 2.0, 0.0, 0.0;
    -fx-background-radius: 2.0em;
}